
Digitale Infrastruktur - Task / Tâche #8422

Civi Crm Funktionen extern geben

28 March 2020 13:11 - SteffenO

Status: Needs Feedback Start date: 28 March 2020

Priority: High Due date:  

Assignee: Pascal % Done: 80%

Category: Infra Estimated time: 0.00 hour

Target version:    

Description

Liste der Funktionen, die von Extern betreut werden sollen, dabei soll das System selbst aber bei uns bleiben

- Rechnungslauf ( Überprüfung Status aufgrund Enddatum / Statusänderung bei Zahlungseingang/ Link in Zahlungsemail für Kredit

Karte/ Bit Coin/ pay pal?)

- Versendung Zahlungserrinerung

- Mail versand an vorhandene Gruppen

- An / Abmeldung Newletter per Link in Mail + Funktion( API) per Website

- Verarbeitung von Zahlungen per Onlinezahlung ( Kredit Karte/ Bit Coin/ Pay Pal) inkl. Statusupdate

- autom. Erstellung neue Mitgliedschaft per Anmeldeformular( API?)

-

Related issues:

Related to Vorstand - Comité PPS - Information / Varia #8426: Ablösung Civi C... New

Related to Digitale Infrastruktur - Task / Tâche #8473: Refurbish CiviCRM Needs Work 31 March 2021

History

#1 - 31 March 2020 19:56 - SteffenO

Anfrage geschickt an:

https://civiservice.de

#2 - 06 May 2020 16:32 - SteffenO

Absage civiservice.de

Anfrage bei Systopia positiv, Einzeöheiten werden geklärt und eine Offerte soll erstellt werden.

Folgende Funktionsumfang soll installiert werden:

- Rechnungen erstellen/verschicken nach Ablaufdatum Mitgliedschaft

- Automatische  Mitgliedschafts status update (Möglichkeit der Abwicklung/Verarbeitung von Zahlungen per Payment Processor?)

- An/ Abmeldung Newsletter

- Automatische Einpflegung von Neuanmeldungen ( wenn dies möglich ist) inkl. Zuweisung von Gruppenmitgliedschaften

- Versand Newsletter

#3 - 06 May 2020 16:47 - jowi

Was ist mit dem press-crm (Presseverteiler)?

Wird wie bisher ausschliesslich freie/offene Software eingesetzt?

Wichtiges Kriterium wäre noch wo die Daten gespeichert werden bzw. ob wir die Datenhoheit behalten können.

#4 - 06 May 2020 16:52 - jowi

Was ist mit dem press-crm (Presseverteiler)?

Wird wie bisher ausschliesslich freie/offene Software eingesetzt?

Wichtiges Kriterium wäre noch wo die Daten gespeichert werden bzw. ob wir die Datenhoheit behalten können.

Wie läuft die Migration ab? Was passiert mit den Daten, der Domain etc.?

Bisher unterstützen wir auch Bitpay als Zahlungsmethode und Beträge über dem Mitgliederbeitrag, der sich aus Sektionen+PPS Zusammensetzt

müssen als Spende verbucht und ausgewiesen werden. Am besten noch mit der AG Fin im Detail anschauen was alles nötig ist.

Mehrsprachigkeit (mind. DE/EN/FR/IT) brauchen wir auch.
#5 - 06 May 2020 17:34 - SteffenO

Software bleibt die gleiche = Civi Crm

Datenhoheit bleibt bei uns

Es sollen lediglich die Funktionen neu/ sauber aufgesetzt werden, im idealfall auch auf Git hub und wenn möglich neue ( automatisierte) Funktionen

hunzugefügt werden, um den man. admin Aufwand auf ein min. zu reduzieren

#6 - 09 May 2020 20:17 - SteffenO

Systopia könnte uns mit technischem Support unterstützen, das Civi Crm sauber neu aufzusetzen.

Folgende Ablauf wäre denkbar:

- NDA unterzeichnen lassen

- Systopia schaut sich system an um Zustand beurteilen zu können

- Entscheid ob komplette neuinstallation oder beheben der fehlfunktionen

- Kostendeckel 3000 € ink. Webseminar zu Anleitung und technischer Support bei Problemen

- Es wird eine gewisse Eigenleistung benötigt werden von Piraten Seite ( bei diesem Budget)

#7 - 11 May 2020 20:04 - SteffenO

Freigabe durch PPS zum weiterverfolgen

Ticket PPS Sitzung: https://projects.piratenpartei.ch/issues/8423

#8 - 11 May 2020 20:12 - SteffenO

- Status changed from New to Needs Work

- % Done changed from 30 to 40

#9 - 08 June 2020 19:08 - SteffenO

- Related to Information / Varia #8426: Ablösung Civi Crm als Mitgliederverwaltung added

#10 - 18 January 2022 20:30 - jowi

- Assignee changed from SteffenO to jowi

Was automatisiert werden soll:

Newsletter

Abonieren

Abmelden

Ändern

Mitgliederantrag

Rechnungsversand (low Prio)

Versand

Zahlungseingänge

Pro/Contra (CiviCRM behalten)

+ Bestehende Lösung

+ Kostengünstig

- schwer wartbar

- Sehr Umfangreich

- Nicht auf CH zugeschnitten (Rechnungsversand)

- Funktionen gehen mangels Wartung (Plugin oder API) kaputt und können nicht wiederhergestellt werden

#11 - 25 January 2022 20:34 - jowi

todo:

formular/mail text fertig

evt. de/fr/en lables

free text field

newsletter an/abmelden

self management?

double opt in?

#12 - 01 February 2022 02:19 - phy

- Status changed from Needs Work to Needs Feedback

- Assignee changed from jowi to Pascal

- % Done changed from 40 to 80
Caldera Formulare deaktiviert und mit Contact Forms 7 und CiviCRM Formprocessor neu aufgebaut.

Ausser dem Members Contact Form landen alle Kontakte im CiviCRM, müssen aber zur Zeit noch manuell in Gruppen (Sektion/Newsletter) eingeteilt

werden. Alle Mails werden ans OTRS geschickt und danach bearbeitet.

Formular/Mail. Texte sind angepasst

Member & Newsletter DE und FR sind vorhanden (EN zur Zeit noch nicht)

Free Text Field. Textarea für Fragen und Nachrichten

Abmeldung. Zur Zeit nur nach Erhalt eines Newsletters, via unsubscribe link)

Double OptIn. Konnte noch nicht implementiert werden.

Zusätzlich Newsletterseite in FR angelegt

https://www.piratenpartei.ch/mitglied-werden/

https://www.piratenpartei.ch/newsletter/

https://www.piratenpartei.ch/members-contact-form/

https://www.partipirate.ch/devenir-membre/

https://www.partipirate.ch/abonnementdesabonnement-aux-newsletters/

Im gleichen Zuge wurden Plugins (Caldera, Metaslider) deaktiviert und seitenspezifisch optimiert.

#13 - 03 October 2022 21:40 - jowi

- Related to Task / Tâche #8473: Refurbish CiviCRM added

Powered by TCPDF (www.tcpdf.org)

24 October 2023 3/3

https://www.piratenpartei.ch/mitglied-werden/
https://www.piratenpartei.ch/newsletter/
https://www.piratenpartei.ch/members-contact-form/
https://www.partipirate.ch/devenir-membre/
https://www.partipirate.ch/abonnementdesabonnement-aux-newsletters/
http://www.tcpdf.org

